%define _requires_exceptions  libc.so.6()(64bit)\
libc.so.6(GLIBC_2.2.5)(64bit)\
libc.so.6(GLIBC_2.3)(64bit)\
libpthread.so.0()(64bit)\
libpthread.so.0(GLIBC_2.2.5)(64bit)\
libreadline.so.4.1\
libstdc++-libc6.2-2.so.3\
devel(libstdc++-libc6.2-2)	
	
%define name wingide-101
%define version 4.0.0b2
%define release %mkrel 2

Summary:  Free basic edition of Wing IDE
Name:	 %{name}
Version: %{version}
Release: %{release}
License: Commercial/Freeware
Group:	 Development/Python
URL:	 http://www.wingware.com/
Source0: http://www.wingware.com/%{name}-%{version}-i386-linux.tar.xz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch: noarch
BuildRequires: desktop-file-utils
Requires:  python
Obsoletes: %name < %version


%description
Wing IDE 101 is a free basic edition of Wing IDE that was originally designed with the University of Toronto Computer Science Department for teaching entry level computer science courses. It is not open source but is free for non-commercial use by educators, students, and hobbyists.

Note that Wing IDE 101 omits auto-completion and most other code intelligence features in the other Wing IDE products. This was by design, so that students are more conscious of the details of the language and modules they are learning about.

%prep

%setup -q -n wingide-101-4.0.0b2-i386-linux


%build
#no build

%install
rm -rf $RPM_BUILD_ROOT
install -dm 755 $RPM_BUILD_ROOT%_libdir/%{name}
cp -af * $RPM_BUILD_ROOT%_libdir/%{name}

mkdir -p %buildroot%_bindir
cat > %buildroot%_bindir/%{name} << EOF
#!/bin/sh
cd %{_libdir}/%{name}
exec ./run-wing.sh
EOF
chmod +x %{buildroot}%{_bindir}/%{name}


%__install -dm 755 %{buildroot}%{_datadir}/applications
%__cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=Wing IDE
Comment=Free basic edition of Wing IDE
Icon=/usr/share/icons/large/development_tools_section.png
Exec=%{name}
Type=Application
Categories=Development;X-MandrivaLinux-MoreApplications-Development-Tools;
StartupNotify=true
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}


%postun
%{clean_menus}


%files 
%defattr(-,root,root,-)
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_libdir}/%{name}


%changelog
* Sun Sep 12 2010 Texstar <texstar at gmail.com> 4.0.0b2-2pclos2010
- Update

* Tue Jun 01 2010 slick50 <lxgator@gmail.com> 4.0.0b2-1pclos2010
- initial build
